﻿Type=Class
Version=4.3
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
Sub Class_Globals
	Dim dummy As View 'ignore
End Sub

Public Sub Initialize
End Sub

Public Sub Toast
	'Toast "dialogs"
	Dim d As ValiDialog
	Dim cs As CSBuilder
	d.Initialize(Null, "", ValiDialogConst.DIALOGTYPE_TOAST, "Hello").ShowToast(False) 'Initialize and show in one statement
	d.andMessage("Hello there!").ShowToast(False) 'Simple message
#If B4A
	d.andMessage(cs.Initialize.Append("Hello ").Bold.Append("it's me").Pop.Append(" again ") _
				.Typeface(Typeface.FONTAWESOME).Append(Chr(0xF087)).PopAll).ShowToast(False) 'CSBuilder message, built in one statement
#Else If B4i
	d.andMessage(cs.Initialize.Append("Hello ").Font(Font.DEFAULT_BOLD).Append("it's me").Pop.Append(" again ") _
				.font(Font.CreateFontAwesome(Font.DEFAULT.Size)).Append(Chr(0xF087)).PopAll).ShowToast(False) 'CSBuilder message, built in one statement
#End If
End Sub

Public Sub Message_Simple
	'Message dialog
	Dim msg As String = ""
	For i = 1 To 20
		msg = msg & "A very long message that should result in a larger dialog box "
	Next
	Dim d As ValiDialog
	d.Initialize(Me, "SimpleDialog", ValiDialogConst.DIALOGTYPE_MESSAGE, msg).andTitle("Test!").andPositiveText("OK").andCancelText("Cancel")
	d.ShowAsync(False)
	Wait For SimpleDialog_Result (Result As Int)
	Log($"SimpleDialog_Result: ${Result}"$)
End Sub

Public Sub Message_CSBuilder
	'CSBuilder message
	Dim d As ValiDialog
	Dim cs As CSBuilder
	d.Initialize(Me, "CSBuilderDialog", ValiDialogConst.DIALOGTYPE_MESSAGE, "").andTitle("Test!").andCancelText("Cancel")
#If B4A
	d.andMessage(cs.Initialize.Append("Hello ").Bold.Append("it's me").Pop.Append(" again ") _
				.Typeface(Typeface.FONTAWESOME).Append(Chr(0xF087)).PopAll) 'CSBuilder message, built in one statement
	d.andPositiveText(cs.Initialize.Append("Yep ").Typeface(Typeface.FONTAWESOME).Append(Chr(0xF087)).PopAll)
#Else If B4i
	d.andMessage(cs.Initialize.Append("Hello ").Font(Font.DEFAULT_BOLD).Append("it's me").Pop.Append(" again ") _
				.Font(Font.CreateFontAwesome(Font.DEFAULT.Size)).Append(Chr(0xF087)).PopAll) 'CSBuilder message, built in one statement
	d.andPositiveText(cs.Initialize.Append("Yep ").Font(Font.CreateFontAwesome(Font.DEFAULT.Size)).Append(Chr(0xF087)).PopAll)
#End If
	d.ShowAsync(False)
	Wait for CSBuilderDialog_Result (Result As Int)
	Log($"CSBuilderDialog_Result: ${Result}"$)
End Sub